import 'package:flutter/material.dart';

@immutable
class NgexPreferred extends StatelessWidget implements PreferredSizeWidget {
  final Widget child;
  final double? height;
  const NgexPreferred({Key? key, required this.child, this.height});
  @override
  Size get preferredSize => Size.fromHeight(height ?? 56.0);

  @override
  Widget build(BuildContext context) {
    return PreferredSize(
      preferredSize: preferredSize,
      child: child,
    );
  }
}
